Webhook Configuration

Defining webhooks for processes and status updates occuring in the portal. Information on the data submitted as part of the webhook call is defined in the POST webhookconfig under 'Callback payload samples'

Retrieve all or a specific webhook configurations

get
/webhookconfig

This action retrieves a list of configured webhooks

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Retrieve your subscription key from the APIM developer portal or contact Support.

Query parameters
whidstringOptional

pass an optional webhook configuration id to retrieve a selected configuration

Responses
get
/webhookconfig

Create a new webhook configuration

post
/webhookconfig

This endpoint allows you to create a new webhook. Webhooks allow you to specify a url to receive notifications for event types.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Retrieve your subscription key from the APIM developer portal or contact Support.

Body
whnamestringRequiredExample: Your Webhook Name
whcommentstringRequiredExample: short comment on the webhook
applicationIdstringRequiredExample: d0db4b13-20d4-42c3-8268-37db22b36f98
municipalityIdstringRequired

The municipalityId for which the event is triggered.

Example: d0db4b13-20d4-42c3-8268-37db22b36f98
callbackUrlstring · uriRequiredExample: https://yourdomain.com/send/callback/here
processesstring[]Required

One or more processId for which the webhook is called for. The processId retrieved from the processes api call.

Responses
post
/webhookconfig

Delete a webhook configuration

delete
/webhookconfig

This action deletes a specific webhook

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Retrieve your subscription key from the APIM developer portal or contact Support.

Query parameters
whidstringRequired

pass a webhook configuration id to delete the configuration

Responses
delete
/webhookconfig

No content

Update a new webhook configuration

patch
/webhookconfig

This endpoint allows you to update a webhook.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Retrieve your subscription key from the APIM developer portal or contact Support.

Query parameters
whidstringRequired

pass a webhook configuration id to update a selected configuration

Body
whnamestringRequiredExample: Your Webhook Name
whcommentstringRequiredExample: short comment on the webhook
applicationIdstringRequiredExample: d0db4b13-20d4-42c3-8268-37db22b36f98
municipalityIdstringRequired

The municipalityId for which the event is triggered.

Example: d0db4b13-20d4-42c3-8268-37db22b36f98
callbackUrlstring · uriRequiredExample: https://yourdomain.com/send/callback/here
processesstring[]Required

One or more processId for which the webhook is called for. The processId retrieved from the processes api call.

Responses
patch
/webhookconfig

Last updated